io.agora.rtc

## Class ColorSpace

- java.lang.Object
- - io.agora.rtc.ColorSpace

-     public class ColorSpace
      extends java.lang.Object

  Color space configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `matrix` The indices are equal to the values specified in T-REC H.273 Table 4.
    `private int` | `primaries` The indices are equal to the values specified in T-REC H.273 Table 2.
    `private int` | `range` The indices are equal to the values specified at https://www.webmproject.org/docs/container/#colour for the element Range.
    `private int` | `transfer` The indices are equal to the values specified in T-REC H.273 Table 3.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorSpace()` Default constructor for ColorSpace.
    `ColorSpace(int primaries, int transfer, int matrix, int range)` Constructs ColorSpace with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMatrix()` Gets the matrix coefficients index.
    `int` | `getPrimaries()` Gets the color primaries index.
    `int` | `getRange()` Gets the color range index.
    `int` | `getTransfer()` Gets the transfer characteristics index.
    `void` | `setMatrix(int matrix)` Sets the matrix coefficients index.
    `void` | `setPrimaries(int primaries)` Sets the color primaries index.
    `void` | `setRange(int range)` Sets the color range index.
    `void` | `setTransfer(int transfer)` Sets the transfer characteristics index.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### primaries

          private int primaries

      The indices are equal to the values specified in T-REC H.273 Table 2.

    - #### transfer

          private int transfer

      The indices are equal to the values specified in T-REC H.273 Table 3.

    - #### matrix

          private int matrix

      The indices are equal to the values specified in T-REC H.273 Table 4.

    - #### range

          private int range

      The indices are equal to the values specified at https://www.webmproject.org/docs/container/#colour for the element Range.

  - ### Constructor Detail

    - #### ColorSpace

          public ColorSpace()

      Default constructor for ColorSpace.

    - #### ColorSpace

          public ColorSpace(int primaries,
                            int transfer,
                            int matrix,
                            int range)

      Constructs ColorSpace with all parameters.
      Parameters:
        `primaries` - Color primaries index
        `transfer` - Transfer characteristics index
        `matrix` - Matrix coefficients index
        `range` - Color range index

  - ### Method Detail

    - #### getPrimaries

          public int getPrimaries()

      Gets the color primaries index.
      Returns:
        Color primaries index

    - #### setPrimaries

          public void setPrimaries(int primaries)

      Sets the color primaries index.
      Parameters:
        `primaries` - Color primaries index

    - #### getTransfer

          public int getTransfer()

      Gets the transfer characteristics index.
      Returns:
        Transfer characteristics index

    - #### setTransfer

          public void setTransfer(int transfer)

      Sets the transfer characteristics index.
      Parameters:
        `transfer` - Transfer characteristics index

    - #### getMatrix

          public int getMatrix()

      Gets the matrix coefficients index.
      Returns:
        Matrix coefficients index

    - #### setMatrix

          public void setMatrix(int matrix)

      Sets the matrix coefficients index.
      Parameters:
        `matrix` - Matrix coefficients index

    - #### getRange

          public int getRange()

      Gets the color range index.
      Returns:
        Color range index

    - #### setRange

          public void setRange(int range)

      Sets the color range index.
      Parameters:
        `range` - Color range index

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`